Bug 506465 - X crash with latest f11 updates
X crash with latest f11 updates
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
11
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 08:57 EDT by Juta Sirakas
Modified: 2018-04-11 12:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 22:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juta Sirakas 2009-06-17 08:57:03 EDT
Description of problem:
X crashes

Version-Release number of selected component (if applicable):
I do not know component

How reproducible:
happens after every 5 minutes 

Steps to Reproduce:
1. install latest f11 updates
2.
3.
  
Actual results:
(II) Loading sub module "exa"
(II) LoadModule: "exa"

(II) Loading /usr/lib64/xorg/modules//libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 2.4.0
	ABI class: X.Org Video Driver, version 4.1
(EE) RADEON(0): No modes.
(II) UnloadModule: "radeon"
(II) UnloadModule: "exa"
(II) Unloading /usr/lib64/xorg/modules//libexa.so
(II) UnloadModule: "fb"
(II) Unloading /usr/lib64/xorg/modules//libfb.so
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found


Expected results:
not to crash

Additional info:
yum.log:
Jun 17 14:13:00 Updated: libX11-1.2.1-2.fc11.x86_64
Jun 17 14:13:04 Updated: 1:qt-4.5.1-13.fc11.x86_64
Jun 17 14:13:10 Updated: DeviceKit-power-008-1.fc11.x86_64
Jun 17 14:13:11 Updated: gstreamer-tools-0.10.23-1.fc11.x86_64
Jun 17 14:13:16 Updated: gstreamer-0.10.23-1.fc11.x86_64
Jun 17 14:13:21 Updated: gstreamer-plugins-base-0.10.23-1.fc11.x86_64
Jun 17 14:13:27 Updated: policycoreutils-2.0.62-12.9.fc11.x86_64
Jun 17 14:13:31 Updated: 1:net-snmp-libs-5.4.2.1-12.fc11.x86_64
Jun 17 14:13:32 Updated: file-libs-5.03-2.fc11.x86_64
Jun 17 14:13:37 Updated: gstreamer-plugins-bad-0.10.12-1.fc11.1.x86_64
Jun 17 14:13:45 Updated: setroubleshoot-server-2.1.12-1.fc11.x86_64
Jun 17 14:13:48 Updated: chmlib-0.40-1.fc11.x86_64
Jun 17 14:13:50 Updated: ntpdate-4.2.4p7-2.fc11.x86_64
Jun 17 14:13:52 Updated: ntp-4.2.4p7-2.fc11.x86_64
Jun 17 14:14:06 Updated: setroubleshoot-2.1.12-1.fc11.x86_64
Jun 17 14:14:07 Updated: gstreamer-plugins-bad-extras-0.10.12-1.fc11.1.x86_64
Jun 17 14:14:08 Updated: file-5.03-2.fc11.x86_64
Jun 17 14:14:36 Updated: gstreamer-plugins-good-0.10.15-1.fc11.x86_64
Jun 17 14:15:07 Updated: gnome-power-manager-2.26.2-1.fc11.x86_64
Jun 17 14:15:36 Updated: gnome-packagekit-2.27.2-1.fc11.x86_64
Jun 17 14:15:39 Updated: 1:wpa_supplicant-0.6.8-2.fc11.x86_64
Jun 17 14:15:43 Updated: man-1.6f-20.fc11.x86_64
Jun 17 14:15:45 Updated: sudo-1.7.1-1.fc11.x86_64
Jun 17 14:15:49 Updated: gdb-6.8.50.20090302-26.fc11.x86_64
Jun 17 14:15:50 Updated: 1:microcode_ctl-1.17-1.51.fc11.x86_64
Jun 17 14:15:52 Updated: gprolog-1.3.1-4.fc11.x86_64
Jun 17 14:16:18 Updated: selinux-policy-3.6.12-45.fc11.noarch
Jun 17 14:16:27 Updated: libX11-devel-1.2.1-2.fc11.x86_64
Jun 17 14:16:31 Updated: yum-3.2.23-3.fc11.noarch
Jun 17 14:16:54 Updated: policycoreutils-python-2.0.62-12.9.fc11.x86_64
Jun 17 14:16:54 Installed: jline-0.9.94-0.3.fc11.noarch
Jun 17 14:16:55 Updated: rhino-1.7-0.6.r2.fc11.noarch
Jun 17 14:17:00 Updated: policycoreutils-gui-2.0.62-12.9.fc11.x86_64
Jun 17 14:17:01 Updated: createrepo-0.9.7-7.fc11.noarch
Jun 17 14:17:31 Updated: selinux-policy-targeted-3.6.12-45.fc11.noarch
Jun 17 14:17:42 Updated: tzdata-2009i-2.fc11.noarch
Jun 17 14:17:45 Updated: system-config-users-1.2.87-1.fc11.noarch
Jun 17 14:17:57 Updated: gnome-mplayer-common-0.9.6-1.fc11.x86_64
Jun 17 14:18:03 Updated: tzdata-java-2009i-2.fc11.noarch
Jun 17 14:18:07 Updated: 1:qt-4.5.1-13.fc11.i586
Jun 17 14:18:20 Updated: 1:qt-x11-4.5.1-13.fc11.x86_64
Jun 17 14:18:22 Updated: libX11-1.2.1-2.fc11.i586
Jun 17 14:18:51 Updated: 1:qt-devel-4.5.1-13.fc11.x86_64
Jun 17 14:18:55 Updated: 1:qt-x11-4.5.1-13.fc11.i586
Jun 17 14:19:06 Updated: gstreamer-0.10.23-1.fc11.i586
Jun 17 14:19:07 Updated: 1:qt-mysql-4.5.1-13.fc11.x86_64
Jun 17 14:19:08 Updated: 3:perl-version-0.74-69.fc11.x86_64
Jun 17 14:19:09 Updated: 1:perl-Module-Pluggable-3.60-69.fc11.x86_64
Jun 17 14:19:10 Updated: 4:perl-libs-5.10.0-69.fc11.x86_64
Jun 17 14:19:37 Updated: 4:perl-5.10.0-69.fc11.x86_64
Jun 17 14:19:39 Updated: 4:perl-devel-5.10.0-69.fc11.x86_64
Jun 17 14:19:41 Updated: perl-ExtUtils-MakeMaker-6.36-69.fc11.x86_64
Jun 17 14:19:49 Updated: perl-IO-Compress-Base-2.008-69.fc11.x86_64
Jun 17 14:19:49 Updated: perl-Compress-Raw-Zlib-2.008-69.fc11.x86_64
Jun 17 14:19:51 Updated: 6:kdelibs-common-4.2.3-3.fc11.x86_64
Jun 17 14:20:17 Updated: 6:kdelibs-4.2.3-3.fc11.x86_64
Jun 17 14:20:40 Updated: kde-plasma-networkmanagement-0.1-0.12.20090519svn.fc11.x86_64
Jun 17 14:21:08 Updated: 1:emacs-common-22.3-12.fc11.x86_64
Jun 17 14:21:10 Updated: 1:emacs-22.3-12.fc11.x86_64
Jun 17 14:21:19 Updated: 1:net-snmp-5.4.2.1-12.fc11.x86_64
Jun 17 14:21:20 Updated: perl-IO-Compress-Zlib-2.008-69.fc11.x86_64
Jun 17 14:21:22 Updated: perl-Test-Harness-3.16-69.fc11.x86_64
Jun 17 14:21:23 Updated: 1:perl-ExtUtils-ParseXS-2.18-69.fc11.x86_64
Jun 17 14:21:23 Updated: 1:perl-Pod-Escapes-1.04-69.fc11.x86_64
Jun 17 14:21:25 Updated: 1:perl-Pod-Simple-3.07-69.fc11.x86_64
Jun 17 14:21:27 Updated: perl-CPAN-1.9205-69.fc11.x86_64
Jun 17 14:21:28 Updated: perl-Test-Simple-0.86-69.fc11.x86_64
Jun 17 14:21:29 Updated: perl-Compress-Zlib-2.008-69.fc11.x86_64
Jun 17 14:21:29 Updated: perl-ExtUtils-Embed-1.28-69.fc11.x86_64
Jun 17 14:21:48 Updated: 6:kdelibs-4.2.3-3.fc11.i586
Comment 1 Juta Sirakas 2009-07-23 05:16:51 EDT
/var/log/gdm/:0.log.1:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x310a433370]
3: /usr/lib64/xorg/modules/drivers//radeon_drv.so(dri_bo_unreference+0x9) [0x7ff5a2fc3fe9]
4: /usr/lib64/xorg/modules/drivers//radeon_drv.so(radeon_gem_bufmgr_post_submit+0x4c) [0x7ff5a2fc362c]
5: /usr/lib64/xorg/modules/drivers//radeon_drv.so(RADEONCSFlushIndirect+0x129) [0x7ff5a2f4f459]
6: /usr/lib64/xorg/modules/drivers//radeon_drv.so(RADEONCPFlushIndirect+0x200) [0x7ff5a2f4f2e0]
7: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7ff5a2fa4c7d]
8: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7ff5a2fa5b60]
9: /usr/lib64/xorg/modules//libexa.so(exaCopyNtoN+0x7ee) [0x7ff5a2b06fce]
10: /usr/lib64/xorg/modules//libexa.so(exaComposite+0x916) [0x7ff5a2b0baf6]
11: /usr/bin/Xorg [0x52f0e0]
12: /usr/bin/Xorg [0x52775c]
13: /usr/bin/Xorg(Dispatch+0x384) [0x446ee4]
14: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
15: /lib64/libc.so.6(__libc_start_main+0xfd) [0x310a41ea2d]
16: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting
Comment 2 Matěj Cepl 2009-11-05 13:32:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Chris Campbell 2009-12-06 10:26:22 EST
Juta, if you update your system per Comment #2, or load Fedora 12, is this still an issue for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matěj Cepl 2010-02-26 07:21:59 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Chris Campbell 2010-04-09 22:09:16 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.